LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Macros | Functions
lives-yuv4mpeg.c File Reference
`#include "../libweed/weed.h"`
`#include "../libweed/weed-host.h"`
`#include "../libweed/weed-palettes.h"`
`#include "main.h"`
`#include "support.h"`
`#include "interface.h"`
`#include "lives-yuv4mpeg.h"`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <errno.h>`

## Macros
#define | YUV4_O_TIME 200000000
#define | YUV4_H_TIME 500000000
#define | YUV4_F_TIME 200000000

## Functions
void | lives_yuv_stream_stop_read (lives_yuv4m_t *yuv4mpeg)
void | weed_layer_set_from_yuv4m (weed_plant_t *layer, lives_clip_t *sfile)
void | on_open_yuv4m_activate (LiVESMenuItem *menuitem, livespointer user_data)
boolean | lives_yuv_stream_start_write (lives_yuv4m_t *yuv4mpeg, const char *filename, int hsize, int vsize, double fps)
| not used More...
boolean | lives_yuv_stream_write_frame (lives_yuv4m_t *yuv4mpeg, void *pixel_data)
void | lives_yuv_stream_stop_write (lives_yuv4m_t *yuv4mpeg)
void | on_live_tvcard_activate (LiVESMenuItem *menuitem, livespointer user_data)
void | on_live_fw_activate (LiVESMenuItem *menuitem, livespointer user_data)

## Macro Definition Documentation

#define YUV4_F_TIME 200000000

#define YUV4_H_TIME 500000000

#define YUV4_O_TIME 200000000

## Function Documentation

boolean lives_yuv_stream_start_write | ( | lives_yuv4m_t * | yuv4mpeg,
|  | const char * | filename,
|  | int | hsize,
|  | int | vsize,
|  | double | fps
| ) |  |

not used

void lives_yuv_stream_stop_read | ( | lives_yuv4m_t * | yuv4mpeg | ) |

void lives_yuv_stream_stop_write | ( | lives_yuv4m_t * | yuv4mpeg | ) |

boolean lives_yuv_stream_write_frame | ( | lives_yuv4m_t * | yuv4mpeg,
|  | void * | pixel_data
| ) |  |

void on_live_fw_activate | ( | LiVESMenuItem * | menuitem,
|  | livespointer | user_data
| ) |  |

void on_live_tvcard_activate | ( | LiVESMenuItem * | menuitem,
|  | livespointer | user_data
| ) |  |

void on_open_yuv4m_activate | ( | LiVESMenuItem * | menuitem,
|  | livespointer | user_data
| ) |  |

void weed_layer_set_from_yuv4m | ( | weed_plant_t * | layer,
|  | lives_clip_t * | sfile
| ) |  |